class ldap::sssd{
		  Package[sssd-client]->File['/etc/sudo-ldap.conf']->File['/etc/nsswitch.conf']->File['/etc/sssd/sssd.conf']~>Service[sssd]
	    # Instala el paquete sssd-client	
			package {'sssd-client':
				ensure => installed,
			}
		  
		  # Habilita y levanta el servicio sssd 
		  service{'sssd':
		    ensure  => running,
		    hasrestart => true,
		    hasstatus => true,
		  }
			
			# Carga el archivo sudo-ldap con el contenido que esta en el template sudo-ldap.erb	
		  file {'/etc/sudo-ldap.conf':
		    content => template("ldap/sudo-ldap.erb"),
		    owner => "root",
		    group => "root",
		    mode => '0640',
		  }
								
      # Configura el nsswitch para que autentique contra ldap
			file {'/etc/nsswitch.conf':
				source => 'puppet:///modules/ldap/nsswitch.conf',
				owner => "root",
				group => "root",
				mode => '0644',
			}
		
		  # Se modifica el archivo de configuracion con las configuraciones seteadas en la clase ldap::parametros
			file{'/etc/sssd/sssd.conf':
				ensure  => 'file',
			  content  => template("ldap/sssd.erb"),
				group   => 'root',
				mode    => '600',
				owner   => 'root',
			 	notify  => Service['sssd'],
			}		
}
